<?php
/**
 * IFilterModel interface
 *
 * PHP version 5
 *
 * @category   Interfaces
 * @package    Ext.model
 * @subpackage Ext.model.interfaces
 * @author     Evgeniy Marilev <jeka@5-soft.com>
 * @license    http://5-soft.com/display/license proprietary
 * @link       http://5-soft.com/display/PhpDoc
 */
/**
 * IFilterModel is the interface which describe functionality
 * of all filter models
 * 
 * PHP version 5
 *
 * @category   Packages
 * @package    Ext.model
 * @subpackage Ext.model.interfaces
 * @author     Evgeniy Marilev <jeka@5-soft.com>
 * @license    http://5-soft.com/display/license proprietary
 * @link       http://5-soft.com/display/PhpDoc
 */
interface IFilterModel
{
    /**
     * Applies filtering to existing criteria
     * 
     * @param CDbCriteria $criteria database criteria
     * 
     * @return void
     */
    public function apply($criteria);
}